Bug 97117 - rfe: add flash to default mount points
rfe: add flash to default mount points
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 11:51 EDT by Toni Willberg
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2003-06-10 11:51:25 EDT
Version-Release number of selected component (if applicable):
autofs-3.1.7-33

Current autofs-package is missing settings / examples for setting flash devices
to work out-of-box. Here's how:

To enable automatic mounting of flash devices:


Add to /etc/auto.master:
/mnt /etc/auto.misc --timeout=5
 # Adjust timeout if needed

Add to /etc/auto.misc:
flash           -fstype=auto,noauto,owner,kudzu :/dev/sda1
# You need to change /dev/sda1 to match your scsi-device number

$tail -f /var/log/messages
$chkconfig autofs on
$service autofs start
Jun 10 18:48:18 hostname automount[7875]: starting automounter version 3.1.7,
path = /mnt, maptype = file, mapname = /etc/auto.misc

Then insert your flash card that contains something.

$ls /mnt/flash
Jun 10 18:50:19 hostname kernel: SCSI device sda: 507905 512-byte hdwr sectors
(260 MB)
Jun 10 18:50:19 hostname kernel: sda: Write Protect is off
Jun 10 18:50:19 hostname kernel:  sda: sda1
<contents of the device>

# Then after timeout:
Jun 10 18:50:26 pentti automount[8007]: expired /mnt/flash


Version-Release number of selected component (if applicable):
autofs-3.1.7-33
Comment 1 Bill Nottingham 2006-08-07 16:00:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:19:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.